/*
 * mpl-common.h
 *
 * by Alexander Zhirov (alexander@zhirov.kz)
 * Telegram @alexanderzhirov
 */

#ifndef MPL_COMMON_H_
#define MPL_COMMON_H_

#include "mpl-lib.h"
#include "mpl-udev.h"

typedef struct
{
    int check_device;
} MPL_PARAMETERS;

typedef struct
{
    int fd;
    MPL_PARAMETERS parameters;
    MPL_CANCELLABLE cancellable;
    MPL_UDEV udev;
} MPL;

MPL *mpl_init(MPL_PARAMETERS *parameters);
void mpl_stop(MPL *mpl);
void mpl_loop(MPL *mpl);

#endif
