/*
 * mpl-lib.c
 *
 * by Alexander Zhirov (alexander@zhirov.kz)
 * Telegram @alexanderzhirov
 */

#include "mpl-lib.h"

char *mpl_get_copy_string(const char *str)
{
    int size = strlen(str);
    char *copy = (char *)calloc(size + 1, sizeof(char));

    if (!copy)
    {
        MPLOG(LOG_ERR, "error getting the string");
        return NULL;
    }

    strcpy(copy, str);
    copy[size] = '\0';

    return copy;
}
